org.keycloak.models

## Enum UserFederationProvider.EditMode

- java.lang.Object
- - java.lang.Enum<UserFederationProvider.EditMode>
  - - org.keycloak.models.UserFederationProvider.EditMode

- All Implemented Interfaces:
    Serializable, Comparable<UserFederationProvider.EditMode>
  Enclosing interface:
    UserFederationProvider

      public static enum UserFederationProvider.EditMode
      extends Enum<UserFederationProvider.EditMode>

  Optional type that can be by implementations to describe edit mode of federation storage

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ_ONLY` federation storage is read-only
    `UNSYNCED` updates to user are stored locally and not synced with federation storage.
    `WRITABLE` federation storage is writable

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserFederationProvider.EditMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserFederationProvider.EditMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ_ONLY

          public static final UserFederationProvider.EditMode READ_ONLY

      federation storage is read-only

    - #### WRITABLE

          public static final UserFederationProvider.EditMode WRITABLE

      federation storage is writable

    - #### UNSYNCED

          public static final UserFederationProvider.EditMode UNSYNCED

      updates to user are stored locally and not synced with federation storage.

  - ### Method Detail

    - #### values

          public static UserFederationProvider.EditMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserFederationProvider.EditMode c : UserFederationProvider.EditMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserFederationProvider.EditMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.